Page MenuHomePhabricator

Upgrade Codex to Beta version
Closed, InvalidPublic

Description

Request Status: New Request
Request Type: project support request
Related OKRs:

Request Title: Upgrade Codex to Beta version

Requirements for Codex beta.1 release:

  • A strategy and process for end-to-end QA of Codex components is in place (doesn't have to be fully automated, but should provide full coverage)
  • The first version of "contributor guidelines" is complete and users have clear pathways collaborate with, contribute to, and utilize the design system (see: Contributor Guidelines
  • There is a published "code of conduct" for interacting with the Design Systems Team and acting as a contributor to Codex
  • Design tokens identified for FY2021-22 are complete in Figma and codified in Codex, which open a pathway for designers to fully contribute to the design system

Important!
The release of Codex Beta is not tied to the deprecation of a UI library; this work should be considered as separate targets/milestones for the Design Systems Team and partnering teams.

Related Objects

StatusSubtypeAssignedTask
Resolvedegardner
ResolvedNone
OpenNone
OpenNone
ResolvedVolker_E
ResolvedNone
Duplicate STH
InvalidNone
InvalidNone
ResolvedNone
Resolvedegardner
ResolvedCatrope
Resolvedldelench_wmf
ResolvedSpike DAbad
Resolvedegardner
Resolvedldelench_wmf
Resolvedegardner
Resolved EUdoh-WMF
ResolvedCatrope
Resolvedegardner
OpenNone
ResolvedCatrope
DeclinedCatrope
DeclinedNone
ResolvedSpikeAnneT
ResolvedCatrope
OpenNone
ResolvedAnneT
Resolvedldelench_wmf
Duplicate STH
Resolvedldelench_wmf
ResolvedAnneT
ResolvedAnneT
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
Resolved DAbad
Resolved iamjessklein
ResolvedCatrope
Resolvedbmartinezcalvo
InvalidVolker_E
ResolvedCatrope
ResolvedVolker_E
ResolvedVolker_E
InvalidNone
Resolvedbmartinezcalvo
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
Resolvedldelench_wmf
ResolvedVolker_E
Resolved EUdoh-WMF
ResolvedSarai-WMDE
Resolved DAbad
ResolvedVolker_E
Resolvedbmartinezcalvo
Resolved KieranMcCann
OpenNone
DuplicateNone
ResolvedVolker_E
Resolved DAbad
ResolvedVolker_E
Resolved DAbad
ResolvedSarai-WMDE
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedSarai-WMDE
ResolvedVolker_E
Resolvedbmartinezcalvo
ResolvedCatrope
Resolved DAbad
ResolvedVolker_E
Resolvedbmartinezcalvo
InvalidVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedCatrope
ResolvedVolker_E
ResolvedCatrope
DuplicateNone
DuplicateNone
ResolvedVolker_E
ResolvedCatrope
ResolvedCatrope
ResolvedCatrope
ResolvedVolker_E
ResolvedCatrope
ResolvedCatrope
OpenNone
Resolvedovasileva
ResolvedBUG REPORTVolker_E
ResolvedCatrope
Resolved DAbad
OpenNone
ResolvedVolker_E
OpenAnneT

Event Timeline

STH changed the task status from Open to In Progress.Feb 17 2022, 8:55 PM
STH triaged this task as High priority.
STH updated the task description. (Show Details)
STH updated the task description. (Show Details)

@STHart We should also make accessibility goals a part of our Beta and 1.0 milestones, among those T302209.

Let's keep in mind, that WVUI has then be used in places like Quicksurveys as well. We need to replace it there.

STH renamed this task from [Milestone] Codex Beta to [Milestone] Codex Beta: First Release.Apr 25 2022, 11:28 PM
STH lowered the priority of this task from High to Medium.
STH renamed this task from [Milestone] Codex Beta: First Release to [Milestone] Launch Codex in Beta (Limited Production Release).Apr 25 2022, 11:31 PM
STH updated the task description. (Show Details)
STH updated the task description. (Show Details)
STH updated the task description. (Show Details)
STH added subscribers: DAbad, ldelench_wmf.

Acknowledging that I've made many changes to the description of Codex Beta as we adapt to findings from our testing and establish standard practices for library releases. Progress!

Looking ahead, it's likely best to decouple versioning from other goals that the team has for Codex adoption across WMF, although we will continue to work towards both and identify opportunities for collaboration. For questions around Codex Beta and future updates, please contact @NHillard-WMF as I will be transitioning off this project shortly.

STH renamed this task from [Milestone] Codex Beta: First Release to Upgrade Codex to Beta version.May 20 2022, 4:36 PM
STH raised the priority of this task from Medium to High.
STH updated the task description. (Show Details)
STH lowered the priority of this task from High to Medium.May 23 2022, 7:11 PM

Is this task still relevant? Is Codex moving away from a defined "beta" stage? If so, this task should probably be closed, and sub-tasks should be redirected to other appropriate epics or meta-tasks.

Marking as "invalid" - as @egardner alluded to above, we are no longer categorizing Codex as being in a "beta" stage.

Refer to https://www.mediawiki.org/wiki/Design_Systems_Team#Current_Status and design-systems-product-roadmap for a better picture of where we are and where we're headed.